#import "FlutterAdbrixPlugin.h"
#import <flutter_adbrix/flutter_adbrix-Swift.h>
#import <AdBrix/AdBrix.h>

@implementation FlutterAdbrixPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  //[SwiftFlutterAdbrixPlugin registerWithRegistrar:registrar];
    FlutterMethodChannel* channel = [FlutterMethodChannel
                                     methodChannelWithName:@"com.dh/flutter_adbrix"
                                     binaryMessenger:[registrar messenger]];
    FlutterAdbrixPlugin* instance = [[FlutterAdbrixPlugin alloc] init];
    [registrar addApplicationDelegate:instance];
    [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
    if ([@"Adbrix.FirstTimeExperience" isEqualToString:call.method]) {
        [AdBrix firstTimeExperience:call.arguments];
        
         result(nil);
    } else if ([@"Adbrix.retention" isEqualToString:call.method]) {
        [AdBrix retention:call.arguments];
        
        result(nil);
    } else {
        result(FlutterMethodNotImplemented);
    }
}
@end
